org.apache.storm.container.cgroup.core

## Class BlkioCore

- java.lang.Object
- - org.apache.storm.container.cgroup.core.BlkioCore

- All Implemented Interfaces:
    CgroupCore

      public class BlkioCore
      extends Object
      implements CgroupCore

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BlkioCore.RecordType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BLKIO_IO_MERGED`
    `static String` | `BLKIO_IO_QUEUED`
    `static String` | `BLKIO_IO_SERVICE_BYTES`
    `static String` | `BLKIO_IO_SERVICE_TIME`
    `static String` | `BLKIO_IO_SERVICED`
    `static String` | `BLKIO_IO_WAIT_TIME`
    `static String` | `BLKIO_RESET_STATS`
    `static String` | `BLKIO_SECTORS`
    `static String` | `BLKIO_THROTTLE_IO_SERVICE_BYTES`
    `static String` | `BLKIO_THROTTLE_IO_SERVICED`
    `static String` | `BLKIO_THROTTLE_READ_BPS_DEVICE`
    `static String` | `BLKIO_THROTTLE_READ_IOPS_DEVICE`
    `static String` | `BLKIO_THROTTLE_WRITE_BPS_DEVICE`
    `static String` | `BLKIO_THROTTLE_WRITE_IOPS_DEVICE`
    `static String` | `BLKIO_TIME`
    `static String` | `BLKIO_WEIGHT`
    `static String` | `BLKIO_WEIGHT_DEVICE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlkioCore(String dir)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<Device,Long>` | `getBlkioSectors()`
    `Map<Device,Long>` | `getBlkioTime()`
    `int` | `getBlkioWeight()`
    `Map<Device,Integer>` | `getBlkioWeightDevice()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOMerged()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOQueued()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOServiceBytes()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOServiced()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOServiceTime()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getIOWaitTime()`
    `Map<Device,Long>` | `getReadBps()`
    `Map<Device,Long>` | `getReadIOps()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getThrottleIOServiceByte()`
    `Map<Device,Map<BlkioCore.RecordType,Long>>` | `getThrottleIOServiced()`
    `SubSystemType` | `getType()`
    `Map<Device,Long>` | `getWriteBps()`
    `Map<Device,Long>` | `getWriteIOps()`
    `void` | `resetStats()`
    `void` | `setBlkioWeight(int weight)`
    `void` | `setBlkioWeightDevice(Device device, int weight)`
    `void` | `setReadBps(Device device, long bps)`
    `void` | `setReadIOps(Device device, long iops)`
    `void` | `setWriteBps(Device device, long bps)`
    `void` | `setWriteIOps(Device device, long iops)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BLKIO_WEIGHT

          public static final String BLKIO_WEIGHT

      See Also:
        Constant Field Values

    - #### BLKIO_WEIGHT_DEVICE

          public static final String BLKIO_WEIGHT_DEVICE

      See Also:
        Constant Field Values

    - #### BLKIO_RESET_STATS

          public static final String BLKIO_RESET_STATS

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_READ_BPS_DEVICE

          public static final String BLKIO_THROTTLE_READ_BPS_DEVICE

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_WRITE_BPS_DEVICE

          public static final String BLKIO_THROTTLE_WRITE_BPS_DEVICE

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_READ_IOPS_DEVICE

          public static final String BLKIO_THROTTLE_READ_IOPS_DEVICE

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_WRITE_IOPS_DEVICE

          public static final String BLKIO_THROTTLE_WRITE_IOPS_DEVICE

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_IO_SERVICED

          public static final String BLKIO_THROTTLE_IO_SERVICED

      See Also:
        Constant Field Values

    - #### BLKIO_THROTTLE_IO_SERVICE_BYTES

          public static final String BLKIO_THROTTLE_IO_SERVICE_BYTES

      See Also:
        Constant Field Values

    - #### BLKIO_TIME

          public static final String BLKIO_TIME

      See Also:
        Constant Field Values

    - #### BLKIO_SECTORS

          public static final String BLKIO_SECTORS

      See Also:
        Constant Field Values

    - #### BLKIO_IO_SERVICED

          public static final String BLKIO_IO_SERVICED

      See Also:
        Constant Field Values

    - #### BLKIO_IO_SERVICE_BYTES

          public static final String BLKIO_IO_SERVICE_BYTES

      See Also:
        Constant Field Values

    - #### BLKIO_IO_SERVICE_TIME

          public static final String BLKIO_IO_SERVICE_TIME

      See Also:
        Constant Field Values

    - #### BLKIO_IO_WAIT_TIME

          public static final String BLKIO_IO_WAIT_TIME

      See Also:
        Constant Field Values

    - #### BLKIO_IO_MERGED

          public static final String BLKIO_IO_MERGED

      See Also:
        Constant Field Values

    - #### BLKIO_IO_QUEUED

          public static final String BLKIO_IO_QUEUED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### BlkioCore

          public BlkioCore(String dir)

  - ### Method Detail

    - #### getType

          public SubSystemType getType()

      Specified by:
        `getType` in interface `CgroupCore`

    - #### getBlkioWeight

          public int getBlkioWeight()
                             throws IOException

      Throws:
        `IOException`

    - #### setBlkioWeight

          public void setBlkioWeight(int weight)
                              throws IOException

      Throws:
        `IOException`

    - #### setBlkioWeightDevice

          public void setBlkioWeightDevice(Device device,
                                           int weight)
                                    throws IOException

      Throws:
        `IOException`

    - #### getBlkioWeightDevice

          public Map<Device,Integer> getBlkioWeightDevice()
                                                   throws IOException

      Throws:
        `IOException`

    - #### setReadBps

          public void setReadBps(Device device,
                                 long bps)
                          throws IOException

      Throws:
        `IOException`

    - #### getReadBps

          public Map<Device,Long> getReadBps()
                                      throws IOException

      Throws:
        `IOException`

    - #### setWriteBps

          public void setWriteBps(Device device,
                                  long bps)
                           throws IOException

      Throws:
        `IOException`

    - #### getWriteBps

          public Map<Device,Long> getWriteBps()
                                       throws IOException

      Throws:
        `IOException`

    - #### setReadIOps

          public void setReadIOps(Device device,
                                  long iops)
                           throws IOException

      Throws:
        `IOException`

    - #### getReadIOps

          public Map<Device,Long> getReadIOps()
                                       throws IOException

      Throws:
        `IOException`

    - #### setWriteIOps

          public void setWriteIOps(Device device,
                                   long iops)
                            throws IOException

      Throws:
        `IOException`

    - #### getWriteIOps

          public Map<Device,Long> getWriteIOps()
                                        throws IOException

      Throws:
        `IOException`

    - #### getThrottleIOServiced

          public Map<Device,Map<BlkioCore.RecordType,Long>> getThrottleIOServiced()
                                                                           throws IOException

      Throws:
        `IOException`

    - #### getThrottleIOServiceByte

          public Map<Device,Map<BlkioCore.RecordType,Long>> getThrottleIOServiceByte()
                                                                              throws IOException

      Throws:
        `IOException`

    - #### getBlkioTime

          public Map<Device,Long> getBlkioTime()
                                        throws IOException

      Throws:
        `IOException`

    - #### getBlkioSectors

          public Map<Device,Long> getBlkioSectors()
                                           throws IOException

      Throws:
        `IOException`

    - #### getIOServiced

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOServiced()
                                                                   throws IOException

      Throws:
        `IOException`

    - #### getIOServiceBytes

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOServiceBytes()
                                                                       throws IOException

      Throws:
        `IOException`

    - #### getIOServiceTime

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOServiceTime()
                                                                      throws IOException

      Throws:
        `IOException`

    - #### getIOWaitTime

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOWaitTime()
                                                                   throws IOException

      Throws:
        `IOException`

    - #### getIOMerged

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOMerged()
                                                                 throws IOException

      Throws:
        `IOException`

    - #### getIOQueued

          public Map<Device,Map<BlkioCore.RecordType,Long>> getIOQueued()
                                                                 throws IOException

      Throws:
        `IOException`

    - #### resetStats

          public void resetStats()
                          throws IOException

      Throws:
        `IOException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.